<?php

require("../include/config.php");
require("../include/function.php");
require("../include/functions_seo_name.php");
require("../include/classes/tags.php");

$upgrade_from_version = '2.5';
$upgrade_to_version = '2.6';
$log_file = 'upgrade_' . $upgrade_from_version . '_to_' . $upgrade_to_version;
$sql_file =  './' . $log_file . '.sql';

?>

<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<head>
<title>Upgrade vShare</title>
</head>

<style>
BODY	{ font-family: verdana, arial; }
.msg	{ font-weight: bold; color:#009900; }
.err	{ font-weight: bold; color:#FF0000; }
.txt	{ font-weight: bold; color:#0000FF; }
.notice { color:#339900; border: 1px solid #FFCC00; background-color: #FFFFCC; padding: 1em; margin: 1em auto 1em 1em; width: 500px; }
</style>

<body>


<?php

echo <<<EOT

<H2>Upgrade vShare $upgrade_from_version to $upgrade_to_version</H2>

<div class="notice">This will only upgrade MySQL database, you need to upgrade your files also.</div>

EOT;





write_log("################### VSHARE UPGRADE LOG START ###################",$log_file);

if(isset($config["version"])) {
	$current_db_version = $config["version"];
	write_log("Current DB version : $current_db_version",$log_file);
	echo "<div style=\"font-size: 10pt; font-weight: bold;\">Current DB version : $current_db_version</div>";
} else {
	$current_db_version = 1;
}

if ($current_db_version == $upgrade_from_version) {

	$sql = "SELECT * FROM `video`";
	$result = mysql_query($sql) or mysql_die($sql);

	$log_text = "Creating seo_name and video_length for video table....";
	write_log($log_text,$log_file);
	echo "<p><b>$log_text</b></p>";

	echo "<div style=\"background-color:#FFFFCC; font-size:12pt; font-family: verdata;padding:1em\">";
	while ($tmp = mysql_fetch_assoc($result)) {
		$seo_name = seo_name($tmp['title']);
		$duration = $tmp['duration'];
		$duration_hms = sec2hms($duration);
		$seo_name_org = $seo_name;
		$i = 1;

		while(check_field_exists($seo_name,'seo_name','video')) {
			$seo_name = $seo_name_org . '-' . $i;
			$i++;
		}
		$sql = "UPDATE `video` SET `seo_name`='$seo_name', `video_length`='$duration_hms' WHERE `VID`=" . $tmp['VID'];
		echo "$sql<br>";
		$result_1 = mysql_query($sql) or mysql_die($sql);

		$log_text = $sql;
		write_log($log_text,$log_file);

	}

	echo "</div>";

	# IMPORT SQL FILE START

	$lines = file($sql_file);

   	if (!$lines) {
	    $log_text = "Cannot open file: $sql_file";
		write_log($log_text,$log_file);
		echo "<div class=err><br>$log_text<br>";
		exit;
  	}

   	foreach($lines as $sql) {
   		$sql = trim($sql);
   		if(strlen($sql) > 10) {
	   		write_log($sql,$log_file);
	   		if(!mysql_query($sql)) {
	   			write_log("ERROR IN SQL",$log_file);
	   			write_log("##############################################",$log_file);
	   			write_log($sql,$log_file);
	   			write_log("##############################################",$log_file);
	   			mysql_die($sql);
	   		}
   		}
   	}

   	# IMPORT SQL FILE END


   	# GENERATE TAGS

	$sql = "SELECT * FROM `video` WHERE `type`='public'";
	$result = mysql_query($sql) or die($sql);

	while ($video_info = mysql_fetch_assoc($result)) {
		$vid = $video_info['VID'];
		$keywords = $video_info['keyword'];
		$chid = $video_info['channel'];
		$uid = $video_info['UID'];
		$addtime = $video_info['addtime'];
		$tags = new Tags($keywords,$vid,$uid,$chid);
		$tags->settime($addtime);
		$tags->add();
		write_log("Tags($keywords,$vid,$uid,$chid)",$log_file);
	}

	# GENERATE TAGS END



	write_log("UPGRADED TO VERSION $upgrade_to_version",$log_file);
	write_log("################### VSHARE UPGRADE LOG END ###################",$log_file);
	echo "<BR>&nbsp;<BR>";
	echo "<FONT class=msg>vShare Upgraded to Version $upgrade_to_version</FONT>";

} else if ($current_db_version == $upgrade_to_version) {
	write_log("You are using vShare $upgrade_to_version",$log_file);
	echo "<br><FONT class=msg>Your database already upgraded to version $upgrade_to_version</FONT>";
} else {
	$log_text = "You are using old version : $current_db_version";
	write_log($log_text,$log_file);
	echo "<div class=err><br>$log_text<br>";

	$log_text = "This upgrade script can only upgrade vShare $upgrade_from_version to vShare $upgrade_to_version";
	write_log($log_text,$log_file);
	echo "<br><br>$log_text<br><br>";

	$log_text = "You must upgrade your vShare installation to version $upgrade_from_version before upgrading to $upgrade_to_version";
	write_log($log_text,$log_file);
	echo "<br><br>$log_text<br><br>";
	echo "<br><br>";
	echo "<br>For more details, visit <br><br> <a href=\"http://www.buyscripts.in/vshare-release.html\">http://www.buyscripts.in/vshare-release.html</a><br></div>";
}


?>

</body>
</html>