DROP TABLE IF EXISTS `adv`;

CREATE TABLE `adv` (
  `adv_id` bigint(20) NOT NULL auto_increment,
  `adv_name` varchar(255) NOT NULL default '',
  `adv_text` text NOT NULL,
  `adv_status` enum('Active','Inactive') NOT NULL default 'Active',
  PRIMARY KEY  (`adv_id`)
) TYPE=MyISAM;

INSERT INTO `adv` (`adv_id`, `adv_name`, `adv_text`, `adv_status`)  VALUES (1, 'banner_top', '<TABLE BGCOLOR=#000000 WIDTH=700 height=100 ALIGN=center border=0>\r\n<TR>\r\n<TD align=center >\r\n<font color=#ffffff>PUT ADVT HERE</font>\r\n</TD>\r\n</TR>\r\n</TABLE>', 'Active');
INSERT INTO `adv` (`adv_id`, `adv_name`, `adv_text`, `adv_status`)  VALUES (2, 'banner_bottom', '<TABLE BGCOLOR=#000000 WIDTH=700 height=100 ALIGN=center border=0>\r\n<TR>\r\n<TD align=center >\r\n<font color=#ffffff>PUT ADVT HERE</font>\r\n</TD>\r\n</TR>\r\n</TABLE>', 'Inactive');
INSERT INTO `adv` (`adv_id`, `adv_name`, `adv_text`, `adv_status`)  VALUES (3, 'home_right_box', '<TABLE CELLPADDING=0 CELLSPACING=0 BORDER=0 WIDTH=100% BGCOLOR=#000000>\r\n<TR>\r\n<TD >\r\n<FONT color=white>PUT ADVT HERE</font>\r\n</TD>\r\n</TR>\r\n</TABLE>', 'Inactive');
INSERT INTO `adv` (`adv_id`, `adv_name`, `adv_text`, `adv_status`)  VALUES (4, 'video_right_single', '<TABLE CELLPADDING=0 CELLSPACING=0 BORDER=0 WIDTH=100% BGCOLOR=#000000>\r\n<TR>\r\n<TD >\r\n<FONT color=white>PUT ADVT HERE</font>\r\n</TD>\r\n</TR>\r\n</TABLE>', 'Inactive');


DROP TABLE IF EXISTS `buddy_list`;

CREATE TABLE `buddy_list` (
  `username` varchar(80) default NULL,
  `buddy_name` varchar(80) default NULL,
  UNIQUE KEY `username` (`username`,`buddy_name`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS `channel`;

CREATE TABLE `channel` (
  `CHID` bigint(20) NOT NULL auto_increment,
  `name` varchar(120) NOT NULL default '',
  `descrip` text NOT NULL,
  `sortorder` int(2) NOT NULL default '1',
  PRIMARY KEY  (`CHID`),
  UNIQUE KEY `name` (`name`)
);

INSERT INTO `channel` VALUES (1, 'Sports', 'Games, Stadiums, Tailgating...',1);
INSERT INTO `channel` VALUES (2, 'Humor', 'Funny, Bloopers, Pranks...',2);
INSERT INTO `channel` VALUES (3, 'Arts & Animation', 'Artistic, Computer Graphics, Anime...',3);
INSERT INTO `channel` VALUES (4, 'Autos & Vehicles', 'Cars, Boats, Airplanes...',4);
INSERT INTO `channel` VALUES (5, 'Hobbies & Interests', 'Haunted Dolls, Cooking, RC Planes...',5);
INSERT INTO `channel` VALUES (6, 'Education & Instructional', 'Tutorials, Software Demos, Cooking Techniques...',6);
INSERT INTO `channel` VALUES (7, 'Trailers', 'Movies, Games',7);
INSERT INTO `channel` VALUES (8, 'Fights', 'Brawls, Scuffles, Cat Fights',8);
INSERT INTO `channel` VALUES (9, 'Video Blogs', 'Upload your video blog',9);
INSERT INTO `channel` VALUES (10, 'News', 'Anything Newsy',10);
INSERT INTO `channel` VALUES (11, 'Music', 'Hot videos',11);
INSERT INTO `channel` VALUES (12, 'College', 'Anything College',12);
INSERT INTO `channel` VALUES (13, 'Stupid Video', 'Stupid things people do on video',13);
INSERT INTO `channel` VALUES (14, 'Funny', 'Just plain funny videos.',14);
INSERT INTO `channel` VALUES (15, 'Personal Videos', 'anything goes.',16);
INSERT INTO `channel` VALUES (16, 'Breaking News', 'breaking news events world wide',16);
INSERT INTO `channel` VALUES (17, 'Politics', 'Politics, Political, Corruption',17);
INSERT INTO `channel` VALUES (18, 'Military & War', 'Military, Troops, Worldwide',18);
INSERT INTO `channel` VALUES (19, 'TV Commercials', 'TV, Banned Commercials',19);
INSERT INTO `channel` VALUES (20, 'Cool', 'Cool, Wow',20);
INSERT INTO `channel` VALUES (21, 'Weird Videos', 'Weird',21);
INSERT INTO `channel` VALUES (22, 'Travel & Places', 'tourist important places',22);
INSERT INTO `channel` VALUES (23, 'Sexy', 'Beach Babes, Hot Dancers',23);
INSERT INTO `channel` VALUES (24, 'Pets & Animals', 'Animal Lovers Channel',24);


DROP TABLE IF EXISTS `comments`;

CREATE TABLE `comments` (
  `COMID` bigint(20) NOT NULL auto_increment,
  `VID` bigint(20) NOT NULL default '0',
  `UID` bigint(20) NOT NULL default '0',
  `commen` text NOT NULL,
  `addtime` varchar(20) NOT NULL default '',
  PRIMARY KEY  (`COMID`),
  KEY `VID` (`VID`,`UID`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS `contact`;

CREATE TABLE `contact` (
  `fname` varchar(50) NOT NULL default '',
  `lname` varchar(50) NOT NULL default '',
  `email` varchar(50) NOT NULL default '',
  `submit_date` varchar(15) NOT NULL default '',
  `user_ip` varchar(20) NOT NULL default '',
  `message` varchar(200) NOT NULL default '',
  `subject` varchar(100) NOT NULL default '',
  `flag` varchar(20) NOT NULL default ''
) TYPE=MyISAM;


DROP TABLE IF EXISTS `emailinfo`;

CREATE TABLE `emailinfo` (
  `email_id` varchar(50) NOT NULL default '',
  `email_subject` varchar(255) NOT NULL default '',
  `email_body` text NOT NULL,
  `comment` varchar(255) default NULL,
  PRIMARY KEY  (`email_id`)
) TYPE=MyISAM;

INSERT INTO `emailinfo` VALUES ('user_signup_mail', 'Welcome to [SITE_NAME]', 'Welcome to [SITE_NAME]<p>Please keep this e-mail for your records. Your account information is as follows:</p><p>----------------------------<br />Username: [USERNAME]<br />Password: [PASSWORD]<br />----------------------------</p><p>Your account is currently inactive. You cannot use it until you visit the following link:</p><p><a href="[VERIFY_LINK]">[VERIFY_LINK]</a></p><p>Please do not forget your password as it has been encrypted in our database and we cannot retrieve it for you. However, should you forget your password you can request a new one which will be activated in the same way as this account.</p><p>Thank you for registering. --</p><p>Thanks,</p><p><a href="[SITE_URL]">[SITE_NAME]</a> Team</p>', 'Welcome Mail For New User');
INSERT INTO `emailinfo` VALUES ('invite_friends', 'Invitation from  [SENDER_NAME]', '<p>Hello [RECEIVER_NAME],</p>  <p><a href="[SITE_URL]">[SITE_NAME]</a> is a new site for sharing and hosting personal videos. I have been using [SITE_NAME] to share videos with my friends and family. I would like to add you to the list of people I may share videos with.</p>  <p>Personal message from [SENDER_NAME]:</p>  <p>----------------------------</p> <p>[MESSAGE]</p> <p>----------------------------</p>  <p>To accept my friend request, click here:</p>  <p><a href="[VERIFY_URL]" target="_blank">[VERIFY_URL]</a></p>  <p>To visit [SITE_NAME], <a href="[SITE_URL]">click here</a>.</p>  <p>Thanks,</p> <p><a href="[SENDER_URL]">[SENDER_FNAME]</a></p>', 'Invite Friends');
INSERT INTO `emailinfo` VALUES ('invite_group_email', '[SENDER_NAME] has invited you to join group [GROUP_NAME]', '<p>Hello [RECEIVER_NAME],</p><p>[SENDER_NAME] has invited you to join group [GROUP_NAME]&nbsp;</p> <p><a href="[GROUP_URL]">[GROUP_URL]</a></p> <p>------------------</p>  <p>[MESSAGE]</p>  <p>------------------</p>  <p>Click the link below to Join the group.</p><p><a href="[VERIFY_URL]">[VERIFY_URL]</a></p><p>To visit [SITE_NAME], <a href="[SITE_URL]">click here</a>.</p><p>Thanks,</p><p><a href="[SENDER_URL]">[SENDER_NAME]</a></p>', 'Group Invitation Mail');
INSERT INTO `emailinfo` VALUES ('recover_password', '[SITE_NAME] - New password activation', '<p>Hello [RECEIVER_NAME],</p><p>You are receiving this notification because you have (or someone pretending<br />to be you has from IP: [USER_IP]) requested a new password be sent for your account on &quot;[SITE_NAME]&quot;.</p><p> If you did not request this notification then please ignore it,<br />if you keep receiving it please contact the site administrator.&nbsp;</p>  <p>To use the new password you need to activate it. To do this click the link<br />provided below.</p>  <p><a href="[VERIFY_URL]">[VERIFY_URL]</a></p><p>If successful you will be able to login using the following user name and password:&nbsp;</p><p>User Name: [RECEIVER_NAME]<br />Password: [PASSWORD]</p><p>You can of course change this password yourself via the profile page. If<br />you have any difficulties please contact the site administrator.</p>    <p>Thank you,</p>  <p><a href="[SITE_URL]">[SITE_NAME]</a> Team</p>', 'User Password Reset');
INSERT INTO `emailinfo` VALUES ('user_email_change', 'Action Required to Verify Membership for [SITE_NAME]', 'Dear [USERNAME],<p>Since you have recently changed your email, we require that you verify your new email address. You will only need to visit the url once to have your account updated.</p><p>To complete reverification, please visit this url:</p><p><a href="[VERIFY_URL]">[VERIFY_URL]</a></p><p>If you are still having problems verifying please contact us. </p><p>All the best,</p><p><a href="[SITE_URL]">[SITE_NAME]</a> Team</p>', 'User Email Change');
INSERT INTO `emailinfo` VALUES ('friends_email', 'Your friend has registered in $site_name', '', 'mail to friends after registration');
INSERT INTO `emailinfo` VALUES ('recommend_video', '[SENDER_NAME] - sent you a video!', '<p>Hello,</p>  <p>[MESSAGE]</p>  <p>Click the link below to View the video.</p>  <p><a href="[VIDEO_URL]">[VIDEO_URL]</a></p>  <p>To visit [SITE_NAME], <a href="[SITE_URL]">click here</a>.</p>  <p>Thanks,</p><p>[SENDER_NAME]</p>  <a href="[SENDER_URL]">[SENDER_URL]</a> ', 'Recommend Video');
INSERT INTO `emailinfo` VALUES ('pm_notify', '[SITE_NAME] - You got a new private message', '<p>Hi, </p><p>You got a new private message from user [USERNAME]</p><p>------ </p><p>[MESSAGE]</p><p>------ </p><p>Thanking you, </p><p><a href="[SITE_URL]">[SITE_NAME]</a> </p>', 'PM Notify Email');
INSERT INTO `emailinfo` VALUES ('admin_change_password', '[SITE_NAME] -  Admin Password Changed', '<p>Hello  [ADMIN_NAME] ,  </p>\r\n\r\n<p>Admin login details for your web site is changed.</p>\r\n\r\n<p>Click the link below to activate Admin password:</p>\r\n\r\n<p><a href="[ACTIVATE_URL]">[ACTIVATE_URL]</a>&nbsp;</p>\r\n\r\n<p>User Name: [ADMIN_NAME]  </p>\r\n\r\n<p>Password: [ADMIN_PASSWORD]  </p>\r\n\r\n<p>IP address of user that changed the admin password is: [REMOTE_ADDR]  </p>\r\n\r\n<p>Thank you,  </p>\r\n\r\n<p><a href="[SITE_URL]">[SITE_NAME]</a> Team</p>', 'admin_change_password');
INSERT INTO `emailinfo` VALUES ('admin_signup_notify', '[SITE_NAME] New Signup - [USERNAME]', '<p>New User Signup</p><p>User Name : [USERNAME]<br />Email     : [USER_EMAIL]<br />IP        : [REMOTE_ADDR] <br />	BROWSER   :  [HTTP_USER_AGENT]<br />PROFILE: <a href="[USER_URL]">[USER_URL]</a></p>', 'Admin Signup Notify');
INSERT INTO `emailinfo` VALUES ('password_reset_admin', '[SITE_NAME] - Admin Password Change Request', '<p>Hello  [ADMIN_NAME], </p><p>You or someone requested for admin&nbsp;control&nbsp;panel password reset from IP address: [REMOTE_ADDR]</p><p>If you have not requested for password reset, just ignore the mail.</p><p>User Name: [ADMIN_NAME]<br />New Password: [PASSWORD]</p><p>Before using the&nbsp;new&nbsp;password,&nbsp;you&nbsp;need&nbsp;to&nbsp;activate&nbsp;it&nbsp;by&nbsp;clicking&nbsp;the&nbsp;link&nbsp;below. </p><p><a href="[VERIFY_URL]" target="_blank">[VERIFY_URL]</a> </p><p>Thank you,</p><p><a href="[SITE_URL]">[SITE_NAME]</a> Team</p>', 'Reset Admin Control Panel Password');
INSERT INTO `emailinfo` VALUES ('upload_notify_user', 'Your Video [VIDEO_TITLE] Uploaded to [SITE_NAME]', 'Thank you for video uploaded.  <p>USER ID: [USER_ID]</p><p>USER IP: [USER_IP]</p><p>USERNAME: [USERNAME]</p><p>TITLE: [VIDEO_TITLE]</p><p>DESCRIPTION: [DESCRIPTION]</p><p>KEYWORDS: [KEYWORDS]</p><p>CHANNEL: [CHANNELS]</p><p>TYPE: [TYPE]</p><p>VIDEO URL: [VIDEO_URL]</p>', 'Email send to user after video processed.');
INSERT INTO `emailinfo` VALUES ('resend_activation', '[SITE_NAME] - Activation Link', '<p>Dear [USERNAME],   </p><p>Click following link to activate your [SITE_NAME] account.  </p><p><a href="[VERIFY_URL]">[VERIFY_URL]</a>   </p><p>Thanking you,</p><p><a href="[SITE_URL]">[SITE_NAME] Team<br /></a></p>', 'Resend Activation Link');
INSERT INTO `emailinfo` VALUES ('upload_notify_admin', 'New Video Upload at [SITE_NAME] by [USERNAME]', '<p>USER ID: [USER_ID]</p><p>USER IP: [USER_IP]</p><p>USERNAME: [USERNAME]</p><p>TITLE: [TITLE]</p><p>DESCRIPTION: [DESCRIPTION]</p><p>KEYWORDS: [KEYWORDS]</p><p>CHANNEL: [CHANNELS]</p><p>TYPE: [TYPE]</p><p>VIDEO URL: [VIDEO_URL]</p>', 'Admin Notification for video upload');
INSERT INTO `emailinfo` VALUES ('abuse_report', 'Abuse report on [VIDEO_TITLE]', '<p>Hi Admin,</p>  <p>Following video is reported as Inappropriate.</p><p><a href="[VIDEO_URL] ">[VIDEO_URL]</a></p><p>Abuse Type: <font color="#000000">[TYPE_ABUSE]</font></p><p>Comments: <font color="#000000">[ABUSE_COMMENTS]</font></p><p>Reported by:</p><p>User Name: [USER_NAME]<br />IP Address: &nbsp;[REMOTE_ADDR]</p><p>Thanks,</p><p><a href="[SITE_URL]">[SITE_NAME]</a></p>', 'Report Inappropriate Video');
INSERT INTO `emailinfo` VALUES ('delete_user', '[SITE_NAME] Account Delete Verification - [USERNAME]', '<p>Hi [USERNAME],</p><p>You or some one from IP: [USER_IP] requested to delete the account [USERNAME]</p><p><a href="[SITE_URL]/[USERNAME]">[SITE_URL]/[USERNAME]</a></p><p>To delete the account, click the link below</p><p><a href="[VERIFY_URL]">[VERIFY_URL]</a></p><p>Thank you,</p><p><a href="[SITE_URL]">[SITE_NAME]</a></p>', 'Account delete verification Mail');

DROP TABLE IF EXISTS `favourite`;

CREATE TABLE `favourite` (
  `UID` bigint(20) NOT NULL default '0',
  `VID` bigint(20) NOT NULL default '0',
  UNIQUE KEY `UID` (`UID`,`VID`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS `feature_req`;

CREATE TABLE `feature_req` (
  `VID` bigint(20) NOT NULL default '0',
  `req` bigint(20) NOT NULL default '0',
  `date` varchar(10) default NULL,
  PRIMARY KEY  (`VID`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS `friends`;

CREATE TABLE `friends` (
  `id` bigint(20) NOT NULL auto_increment,
  `UID` bigint(20) NOT NULL default '0',
  `FID` bigint(20) default NULL,
  `friends_name` varchar(100) NOT NULL default '',
  `friends_type` varchar(255) NOT NULL default 'All',
  `invite_date` date NOT NULL default '0000-00-00',
  `friends_status` enum('Pending','Confirmed','DENIED') NOT NULL default 'Pending',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

DROP TABLE IF EXISTS `group_mem`;

CREATE TABLE `group_mem` (
  `AID` bigint(20) NOT NULL auto_increment,
  `GID` bigint(20) NOT NULL default '0',
  `MID` bigint(20) NOT NULL default '0',
  `member_since` date NOT NULL default '0000-00-00',
  `approved` char(3) NOT NULL default 'yes',
  PRIMARY KEY  (`AID`),
  UNIQUE KEY `GID` (`GID`,`MID`)
) TYPE=MyISAM;

DROP TABLE IF EXISTS `group_own`;

CREATE TABLE `group_own` (
  `GID` bigint(20) NOT NULL auto_increment,
  `gname` varchar(120) NOT NULL default '',
  `keyword` text NOT NULL,
  `gdescn` text NOT NULL,
  `gurl` varchar(80) NOT NULL default '',
  `channel` varchar(120) NOT NULL default '',
  `type` varchar(40) NOT NULL default '',
  `gupload` varchar(40) NOT NULL default '',
  `gposting` varchar(40) NOT NULL default '',
  `gimage` varchar(30) NOT NULL default '',
  `gimage_vdo` bigint(20) default NULL,
  `gcrtime` varchar(30) NOT NULL default '',
  `featured` char(3) NOT NULL default 'no',
  `OID` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`GID`),
  UNIQUE KEY `GID` (`GID`,`OID`)
) TYPE=MyISAM;

DROP TABLE IF EXISTS `group_tps`;

CREATE TABLE `group_tps` (
  `TID` bigint(20) NOT NULL auto_increment,
  `GID` bigint(20) NOT NULL default '0',
  `UID` bigint(20) NOT NULL default '0',
  `addtime` datetime NOT NULL default '0000-00-00 00:00:00',
  `title` text NOT NULL,
  `VID` bigint(20) NOT NULL default '0',
  `approved` char(3) NOT NULL default 'yes',
  PRIMARY KEY  (`TID`)
) TYPE=MyISAM;

DROP TABLE IF EXISTS `group_tps_post`;

CREATE TABLE `group_tps_post` (
  `PID` bigint(20) NOT NULL auto_increment,
  `TID` bigint(20) NOT NULL default '0',
  `UID` bigint(20) NOT NULL default '0',
  `VID` bigint(20) default NULL,
  `post` text NOT NULL,
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`PID`)
) TYPE=MyISAM;

DROP TABLE IF EXISTS `group_vdo`;

CREATE TABLE `group_vdo` (
  `AID` bigint(20) NOT NULL auto_increment,
  `GID` bigint(20) NOT NULL default '0',
  `VID` bigint(20) NOT NULL default '0',
  `MID` bigint(20) NOT NULL default '0',
  `approved` char(3) NOT NULL default 'yes',
  PRIMARY KEY  (`AID`),
  UNIQUE KEY `GID` (`GID`,`VID`)
) TYPE=MyISAM;

DROP TABLE IF EXISTS `guest_info`;

CREATE TABLE `guest_info` (
  `sl` int(4) NOT NULL auto_increment,
  `guest_ip` varchar(16) NOT NULL default '',
  `log_date` date NOT NULL default '0000-00-00',
  `use_bw` bigint(20) NOT NULL default '0',
  UNIQUE KEY `sl` (`sl`)
) TYPE=MyISAM;

DROP TABLE IF EXISTS `inappro_req`;

CREATE TABLE `inappro_req` (
  `VID` bigint(20) NOT NULL default '0',
  `req` bigint(20) NOT NULL default '0',
  `date` varchar(10) default NULL
) TYPE=MyISAM;


DROP TABLE IF EXISTS `last_5users`;

CREATE TABLE `last_5users` (
  `LOGID` bigint(30) NOT NULL auto_increment,
  `UID` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`LOGID`)
) TYPE=MyISAM;

DROP TABLE IF EXISTS `package`;

CREATE TABLE `package` (
  `pack_id` int(11) NOT NULL auto_increment,
  `pack_name` varchar(255) NOT NULL default '',
  `pack_desc` text NOT NULL,
  `space` bigint(20) NOT NULL default '0',
  `bandwidth` bigint(20) NOT NULL default '0',
  `price` int(11) NOT NULL default '0',
  `video_limit` int(11) default NULL,
  `period` enum('Day','Month','Year') NOT NULL default 'Month',
  `status` enum('Active','Inactive') NOT NULL default 'Active',
  `is_trial` char(3) NOT NULL default 'no',
  `trial_period` int(11) default NULL,
  PRIMARY KEY  (`pack_id`)
) TYPE=MyISAM;


INSERT INTO `package` (`pack_id`, `pack_name`, `pack_desc`, `space`, `bandwidth`, `price`, `video_limit`, `period`, `status`, `is_trial`, `trial_period`) VALUES (1, 'Gold', 'For ultimate service', 20100, 6000, 100, 501, 'Year', 'Active', 'no', NULL);
INSERT INTO `package` (`pack_id`, `pack_name`, `pack_desc`, `space`, `bandwidth`, `price`, `video_limit`, `period`, `status`, `is_trial`, `trial_period`) VALUES (3, 'Silver', 'This is for medium user', 512, 4000, 50, 0, 'Month', 'Active', 'no', NULL);
INSERT INTO `package` (`pack_id`, `pack_name`, `pack_desc`, `space`, `bandwidth`, `price`, `video_limit`, `period`, `status`, `is_trial`, `trial_period`) VALUES (4, 'Free Trial', 'Join now to test the system.', 200, 400, 0, 100, 'Month', 'Active', 'yes', 600);
INSERT INTO `package` (`pack_id`, `pack_name`, `pack_desc`, `space`, `bandwidth`, `price`, `video_limit`, `period`, `status`, `is_trial`, `trial_period`) VALUES (5, 'Copur', 'Copur', 2000, 5000, 75, 100, 'Month', 'Active', 'no', NULL);
INSERT INTO `package` (`pack_id`, `pack_name`, `pack_desc`, `space`, `bandwidth`, `price`, `video_limit`, `period`, `status`, `is_trial`, `trial_period`) VALUES (6, 'Steal', 'Steal', 1000, 4500, 25, 20, 'Month', 'Active', 'no', NULL);


DROP TABLE IF EXISTS `playlist`;

CREATE TABLE `playlist` (
  `UID` bigint(20) default NULL,
  `VID` bigint(20) default NULL,
  UNIQUE KEY `UID` (`UID`,`VID`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS `pm`;

CREATE TABLE `pm` (
  `pm_id` bigint(20) NOT NULL auto_increment,
  `subject` varchar(200) NOT NULL default '',
  `body` text NOT NULL,
  `sender` varchar(40) NOT NULL default '',
  `receiver` varchar(40) NOT NULL default '',
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `seen` tinyint(1) NOT NULL default '0',
  `inbox_track` int(11) NOT NULL default '2',
  `outbox_track` int(11) NOT NULL default '2',
  PRIMARY KEY  (`pm_id`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS `poll_question`;

CREATE TABLE `poll_question` (
  `poll_id` int(4) NOT NULL auto_increment,
  `poll_qty` varchar(250) NOT NULL default '',
  `poll_answer` text NOT NULL,
  `start_date` date NOT NULL default '0000-00-00',
  `end_date` date NOT NULL default '0000-00-00',
  PRIMARY KEY  (`poll_id`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS `relation`;

CREATE TABLE `relation` (
  `AID` bigint(20) NOT NULL auto_increment,
  `FAID` bigint(20) NOT NULL default '0',
  `FBID` bigint(20) NOT NULL default '0',
  `status` varchar(8) NOT NULL default 'pending',
  `type` varchar(8) NOT NULL default '',
  `e_mail` varchar(80) NOT NULL default '',
  PRIMARY KEY  (`AID`),
  UNIQUE KEY `FAID` (`FAID`,`e_mail`)
) TYPE=MyISAM;

DROP TABLE IF EXISTS `sconfig`;

CREATE TABLE `sconfig` (
  `soption` varchar(60) NOT NULL default '',
  `svalue` varchar(200) NOT NULL default ''
) TYPE=MyISAM;

INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('admin_email', 'info@yourdomain.com');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('admin_name', 'admin');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('site_name', 'Your Site Name');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('admin_pass', '1bd8043e739cef6e260048f10bf4a2a8');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('emailsender', 'Admin');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('max_img_size', '200');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('img_max_width', '120');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('img_max_height', '90');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('max_display_size', '400');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('items_per_page', '4');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('max_video_size', '10000000000000000000');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('rel_video_per_page', '2');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('recently_viewed_video', '4');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('flashplayer', 'yes');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('activexinstall', 'no');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('enable_package', 'no');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('paypal_receiver_email', '');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('payment_method', 'Paypal');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('enable_test_payment', 'no');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('authorizelogin', '');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('authorizekey', '');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('pollinganel', 'Enable');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('user_poll', 'Once');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('video_rating', 'Once');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('debug', '1');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('approve', '1');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('notify_signup', '1');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('notify_upload', '1');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('guest_limit', '20000000000');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('watermark_url', 'http://www.yourdomain.com');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('signup_verify', '1');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('signup_captcha', '1');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('version', '2.6');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('paypal_currency', 'USD');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('embed_show', '1');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('embed_type', '1');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('allow_download', '0');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('player_autostart', '0');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('player_bufferlength', '5');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('player_width', '425');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('player_height', '350');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('show_stats', '1');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('adult', '1');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('video_comments_per_page', '5');
INSERT INTO `sconfig` (`soption`, `svalue`) VALUES ('user_comments_per_page', '5');
INSERT INTO `sconfig` (`soption`, `svalue` ) VALUES ('num_new_videos', '4');
INSERT INTO `sconfig` (`soption`, `svalue` ) VALUES ('num_watch_videos', '12');


DROP TABLE IF EXISTS `signup`;

CREATE TABLE `signup` (
  `UID` bigint(20) NOT NULL auto_increment,
  `email` varchar(80) NOT NULL default '',
  `username` varchar(80) NOT NULL default '',
  `pwd` varchar(50) NOT NULL default '',
  `fname` varchar(40) NOT NULL default '',
  `lname` varchar(40) NOT NULL default '',
  `bdate` date NOT NULL default '0000-00-00',
  `gender` varchar(6) NOT NULL default '',
  `relation` varchar(8) NOT NULL default '',
  `aboutme` text NOT NULL,
  `website` varchar(120) NOT NULL default '',
  `town` varchar(80) NOT NULL default '',
  `city` varchar(80) NOT NULL default '',
  `zip` varchar(30) NOT NULL default '',
  `country` varchar(80) NOT NULL default '',
  `occupation` text NOT NULL,
  `company` text NOT NULL,
  `school` text NOT NULL,
  `interest_hobby` text NOT NULL,
  `fav_movie_show` text NOT NULL,
  `fav_music` text NOT NULL,
  `fav_book` text NOT NULL,
  `friends_type` varchar(255) NOT NULL default 'All|Family|Friends',
  `video_viewed` int(10) NOT NULL default '0',
  `profile_viewed` int(10) NOT NULL default '0',
  `watched_video` int(10) NOT NULL default '0',
  `addtime` varchar(20) NOT NULL default '',
  `logintime` varchar(20) NOT NULL default '',
  `emailverified` char(3) NOT NULL default 'no',
  `account_status` enum('Active','Inactive') NOT NULL default 'Active',
  `vote` varchar(5) NOT NULL default '',
  `ratedby` varchar(5) NOT NULL default '0',
  `rate` varchar(5) NOT NULL default '0',
  `parents_name` varchar(50) NOT NULL default '',
  `parents_email` varchar(50) NOT NULL default '',
  `friends_name` varchar(50) NOT NULL default '',
  `friends_email` varchar(50) NOT NULL default '',
  `adult` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`UID`),
  UNIQUE KEY `email` (`email`),
  UNIQUE KEY `username` (`username`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS `subscriber`;

CREATE TABLE `subscriber` (
  `UID` bigint(20) NOT NULL default '0',
  `pack_id` int(11) NOT NULL default '0',
  `used_space` float unsigned NOT NULL default '0',
  `used_bw` float unsigned NOT NULL default '0',
  `total_video` bigint(20) NOT NULL default '0',
  `subscribe_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `expired_time` datetime NOT NULL default '0000-00-00 00:00:00',
  UNIQUE KEY `UID` (`UID`)
) TYPE=MyISAM;


DROP TABLE IF EXISTS `uservote`;

CREATE TABLE `uservote` (
  `candate_id` varchar(15) NOT NULL default '',
  `voter_id` varchar(15) NOT NULL default '',
  `vote` char(2) NOT NULL default '0',
  `voted_date` varchar(12) NOT NULL default ''
) TYPE=MyISAM;

DROP TABLE IF EXISTS `video`;

CREATE TABLE `video` (
  `VID` bigint(20) NOT NULL auto_increment,
  `UID` bigint(20) NOT NULL default '0',
  `seo_name` varchar(255) NOT NULL,
  `title` varchar(120) NOT NULL default '',
  `description` text NOT NULL,
  `featuredesc` text NOT NULL,
  `keyword` text NOT NULL,
  `channel` varchar(255) NOT NULL default '0|',
  `vdoname` varchar(40) NOT NULL default '',
  `flvdoname` varchar(40) default NULL,
  `duration` float NOT NULL default '0',
  `video_length` varchar(255) default NULL,
  `space` float unsigned NOT NULL default '0',
  `type` varchar(7) NOT NULL default '',
  `vtype` int(2) NOT NULL,
  `addtime` varchar(20) default NULL,
  `adddate` date NOT NULL default '0000-00-00',
  `record_date` date NOT NULL default '0000-00-00',
  `location` text NOT NULL,
  `country` varchar(120) NOT NULL default '',
  `viewnumber` bigint(10) NOT NULL default '0',
  `viewtime` datetime NOT NULL default '0000-00-00 00:00:00',
  `com_num` int(8) NOT NULL default '0',
  `fav_num` int(8) NOT NULL default '0',
  `featured` char(3) NOT NULL default 'no',
  `ratedby` bigint(10) NOT NULL default '0',
  `rate` float NOT NULL default '0',
  `filehome` varchar(120) NOT NULL default '',
  `be_comment` char(3) NOT NULL default 'yes',
  `be_rated` char(3) NOT NULL default 'yes',
  `embed` varchar(8) NOT NULL default 'enabled',
  `embed_code` text,
  `voter_id` varchar(255) NOT NULL default '',
  `active` int(1) NOT NULL default '0',
  `approve` int(1) NOT NULL default '0',
  `adult` tinyint(1) NOT NULL default '0',
  `server_id` int(1) NOT NULL default '0',
  PRIMARY KEY  (`VID`)
) TYPE=MyISAM;

DROP TABLE IF EXISTS `vote_result`;

CREATE TABLE `vote_result` (
  `vote_id` varchar(10) NOT NULL default '',
  `voter_id` varchar(20) NOT NULL default '',
  `answer` varchar(250) NOT NULL default '',
  `client_ip` varchar(25) NOT NULL default '',
  `voted_date` date NOT NULL default '0000-00-00'
) TYPE=MyISAM;

DROP TABLE IF EXISTS `words`;

CREATE TABLE `words` (
  `word_id` mediumint(8) unsigned NOT NULL auto_increment,
  `word` varchar(255) NOT NULL default '',
  `replacement` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`word_id`)
);


DROP TABLE IF EXISTS `disallow`;

CREATE TABLE disallow (
  `disallow_id` mediumint(8) unsigned NOT NULL auto_increment,
  `disallow_username` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`disallow_id`)
);


INSERT INTO `disallow` VALUES (1, 'admin');

DROP TABLE IF EXISTS `pages`;

CREATE TABLE `pages` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `title` varchar(255) NOT NULL default '',
  `keywords` varchar(255) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  `content` text NOT NULL,
  `counter` int(10) unsigned NOT NULL default '0',
  `tpl` int(1) NOT NULL default '1',
  `members_only` int(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`)
);

INSERT INTO `pages` VALUES (1, 'about', 'About us', 'About us', 'About us', '<table width="90%" align="center">\r\n<tr>\r\n<td>\r\n\r\n<h3>About Us ... </h3>\r\n\r\n</td>\r\n</tr>\r\n</table>', 1, 1, 0);
INSERT INTO `pages` VALUES (2, 'advertise', 'advertise', 'advertise', 'advertise', '<table width="90%" align="center">\r\n<tr>\r\n<td>\r\n\r\n<h3>Advertise ... </h3>\r\n\r\nYou can advertise with us. For more info, contact us.\r\n\r\n</td>\r\n</tr>\r\n</table>\r\n', 1, 1, 0);
INSERT INTO `pages` VALUES (3, 'help', 'help', 'help', 'help', '<table width="90%" align="center">\r\n<tr>\r\n<td>\r\n\r\n<h3>Help</h3>\r\n\r\n<p>For help, visit <a href="http://forums.buyscripts.in">http://forums.buyscripts.in</a></p>\r\n\r\n</td>\r\n</tr>\r\n</table>\r\n', 1, 1, 0);
INSERT INTO `pages` VALUES (4, 'terms', 'terms', 'terms', 'terms', '<table width="90%" align="center">\r\n<tr>\r\n<td>\r\n<h3>Terms of Use</h3></td>\r\n</tr>\r\n</table>\r\n', 1, 1, 0);
INSERT INTO `pages` VALUES (5, 'privacy', 'Privacy Policy', 'Privacy Policy', 'Privacy Policy', '<table width="90%" align="center">\r\n<tr>\r\n<td>\r\n<h3>Privacy Policy</h3>\r\n</td>\r\n</tr>\r\n</table>\r\n', 0, 1, 0);

DROP TABLE IF EXISTS `profile_comments`;

CREATE TABLE `profile_comments` (
  `id` int(11) NOT NULL auto_increment,
  `uid` int(11) NOT NULL default '0',
  `posted_by` int(11) NOT NULL,
  `comment` text NOT NULL,
  `ip` varchar(255) NOT NULL default '',
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`),
  KEY `uid` (`uid`)
);

DROP TABLE IF EXISTS `verify_code`;

CREATE TABLE `verify_code` (
`id` INT( 11 ) UNSIGNED NOT NULL AUTO_INCREMENT ,
`vkey` VARCHAR( 255 ) NOT NULL ,
`data1` VARCHAR( 255 ) NOT NULL ,
`data2` VARCHAR( 255 ) NOT NULL ,
PRIMARY KEY ( `id` )
);

DROP TABLE IF EXISTS `config`;

CREATE TABLE `config` (
  `config_name` varchar(255) NOT NULL,
  `config_value` varchar(255) NOT NULL,
  PRIMARY KEY  (`config_name`)
);

INSERT INTO `config` ( `config_name` , `config_value` ) VALUES ( 'cron', '1');
INSERT INTO `config` ( `config_name` , `config_value` ) VALUES ( 'admin_listing_per_page', '20');
INSERT INTO `config` ( `config_name` , `config_value` ) VALUES ( 'php_path', '/usr/bin/php');
INSERT INTO `config` ( `config_name` , `config_value` ) VALUES ( 'home_num_tags', '20');
INSERT INTO `config` ( `config_name` , `config_value` ) VALUES ('process_upload', '1');
INSERT INTO `config` ( `config_name` , `config_value` ) VALUES ('process_notify_user', '1');
INSERT INTO `config` ( `config_name` , `config_value` ) VALUES ('num_last_users_online', '5');
INSERT INTO `config` ( `config_name` , `config_value` ) VALUES ('recommend_all', '0');
INSERT INTO `config` ( `config_name` , `config_value` ) VALUES ('signup_dob', '0');
INSERT INTO `config` ( `config_name` , `config_value` ) VALUES ('signup_enable', '1');
INSERT INTO `config` ( `config_name` , `config_value` ) VALUES ('video_duration_cmd', '2');
INSERT INTO `config` ( `config_name` , `config_value` ) VALUES ('editor_wysiwyg_admin', '1');
INSERT INTO `config` ( `config_name` , `config_value` ) VALUES ('editor_wysiwyg_email', '1');
INSERT INTO `config` ( `config_name` , `config_value` ) VALUES ('mail_abuse_report', '1');
INSERT INTO `config` ( `config_name` , `config_value` ) VALUES ('signup_auto_friend', '');
INSERT INTO `config` ( `config_name` , `config_value` ) VALUES ('enable_flvtool', '0');
INSERT INTO `config` ( `config_name` , `config_value` ) VALUES ('video_flv_delete', '1');
INSERT INTO `config` ( `config_name` , `config_value` ) VALUES ('video_source_delete', '0');

DROP TABLE IF EXISTS `process_queue`;

CREATE TABLE `process_queue` (
  `id` int(11) NOT NULL auto_increment,
  `user` varchar(255) NOT NULL,
  `title` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `keywords` varchar(255) NOT NULL,
  `channels` varchar(255) NOT NULL,
  `type` varchar(255) NOT NULL,
  `status` int(2) NOT NULL,
  `url` varchar(255) NOT NULL,
  `file` varchar(255) NOT NULL,
  `vid` int(11) NOT NULL,
  `user_ip` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`)
);

DROP TABLE IF EXISTS `servers`;

CREATE TABLE `servers` (
  `id` int(11) NOT NULL auto_increment,
  `ip` varchar(255) NOT NULL,
  `url` varchar(255) NOT NULL,
  `user_name` varchar(255) NOT NULL,
  `password` varchar(255) NOT NULL,
  `folder` varchar(255) NOT NULL,
  `status` int(1) NOT NULL default '0',
  `space_used` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
);

DROP TABLE IF EXISTS `tags`;

CREATE TABLE `tags` (
  `id` int(11) NOT NULL auto_increment,
  `tag` varchar(255) NOT NULL,
  `tag_count` int(11) NOT NULL default '0',
  `used_on` int(11) NOT NULL default '0',
  `active` int(1) NOT NULL default '1',
  PRIMARY KEY  (`id`)
);

DROP TABLE IF EXISTS `tag_video`;

CREATE TABLE `tag_video` (
  `id` int(11) NOT NULL auto_increment,
  `tag_id` int(11) NOT NULL,
  `vid` int(11) NOT NULL,
  `chid` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`)
);
